Body

zio.blocks.endpoint.HttpCodec.Body
final case class Body[K <: CodecKind, A](schema: Schema[A], mediaTypes: Chunk[MediaType] = ..., name: Option[String] = ..., doc: Doc = ..., examples: Chunk[(String, A)] = ..., deprecated: Option[Doc] = ...) extends HttpCodec[K, A]

Request/response body descriptor.

Attributes

Source
HttpCodec.scala
Graph
Supertypes
trait Serializable
trait Product
trait Equals
trait HttpCodec[K, A]
class Object
trait Matchable
class Any
Show all

Members list

Value members

Inherited methods

def ++[B, C](that: HttpCodec[K, B])(implicit combiner: WithOut[A, B, C]): HttpCodec[K, C]

Attributes

Inherited from:
HttpCodec
Source
HttpCodec.scala
def productElementNames: Iterator[String]

An iterator over the names of all the elements of this product.

An iterator over the names of all the elements of this product.

Attributes

Inherited from:
Product
Source
Product.scala
def productIterator: Iterator[Any]

An iterator over all the elements of this product.

An iterator over all the elements of this product.

Attributes

Returns

in the default implementation, an Iterator[Any]

Inherited from:
Product
Source
Product.scala
def |[B, C](that: HttpCodec[K, B])(implicit alternator: WithOut[A, B, C]): HttpCodec[K, C]

Attributes

Inherited from:
HttpCodec
Source
HttpCodec.scala